package com.alterdekim.game.controller.result.signup;

import com.fasterxml.jackson.dataformat.xml.annotation.JacksonXmlProperty;
import com.fasterxml.jackson.dataformat.xml.annotation.JacksonXmlRootElement;
import lombok.*;

@ToString
@Getter
@Setter
@NoArgsConstructor
@AllArgsConstructor
@JacksonXmlRootElement(localName = "root")
public class AvatarController {
    @JacksonXmlProperty(isAttribute = true, localName = "UserName")
    private String username;

    @JacksonXmlProperty(isAttribute = false, localName = "Avatar")
    private AvatarObject avatar;
}
