package com.alterdekim.game.component.game;

import com.alterdekim.game.component.rtmp.ConnectedProcessor;
import lombok.*;

@ToString
@Getter
@Setter
@AllArgsConstructor
@RequiredArgsConstructor
public class Player {
    private final ConnectedProcessor connection;
    private final String username;
    private double x;
    private double y;
    private int locationId;
    private double state;
    private long homeId;
}
