package com.alterdekim.game.service;

import com.alterdekim.flash.decompiler.mapper.OutputObjectCallback;
import com.alterdekim.game.entity.GAAccount;
import com.alterdekim.game.repository.GAAccountRepository;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class GAAccountService implements OutputObjectCallback {

    @Autowired
    private GAAccountRepository repository;

    @Override
    public void onOutputObjectReady(Object o) {
        this.repository.save((GAAccount) o);
    }
}
